Get a webhook delivery

​

Retrieve one delivery with the exact payload sent and every attempt (newest first): request headers (secrets redacted), response status, headers and body (first 10,000 bytes), duration and error. Returns 404 for an unknown or cross-org id.

OAuth scopes
  • webhooks:read

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v2/webhook_deliveries/{id}
curl https://api.brellium.dev/v2/webhook_deliveries/123e4567-e89b-12d3-a456-426614174000 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "object": "webhook_delivery",
  "org_id": "string",
  "endpoint_id": "123e4567-e89b-12d3-a456-426614174000",
  "event_id": "123e4567-e89b-12d3-a456-426614174000",
  "event_type": "audit.completed",
  "audit_id": null,
  "is_test": true,
  "status": "retrying",
  "attempt_count": 1,
  "next_attempt_at": "2026-09-24T02:35:24.489Z",
  "last_response_status": null,
  "last_error": {
    "code": "connection_error",
    "message": "Connection refused"
  },
  "delivered_at": null,
  "created_at": "2026-09-24T02:34:54.489Z",
  "updated_at": "2026-09-24T02:34:54.489Z",
  "payload": null,
  "attempts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "object": "webhook_delivery_attempt",
      "attempt_number": 1,
      "trigger": "initial",
      "url": "string",
      "request_headers": {
        "additionalProperty": "string"
      },
      "response_status": null,
      "response_headers": null,
      "response_body": null,
      "error_code": null,
      "error_message": null,
      "duration_ms": null,
      "started_at": "string"
    }
  ]
}
Brellium API